dsdpsetup.c File Reference

Create DSDP solver and its data strucutures. More...

Go to the source code of this file.

## Functions

int | DSDPCallMonitors (DSDP dsdp, DMonitor dmonitor[], int ndmonitors)
| Call the monitor routines.
int | DSDPCheckConvergence (DSDP dsdp, DSDPTerminationReason *reason)
| Check for convergence and monitor solution.
int | DSDPComputeDataNorms (DSDP dsdp)
| Compute norms of A,C, and b.
int | DSDPScaleData (DSDP dsdp)
| Scale the matrix C.
int | DSDPSetDefaultMonitors (DSDP dsdp)
| Set convergence monitor.
int | DSDPSetDefaultParameters (DSDP dsdp)
| Set default parameters.
int | DSDPSetDefaultStatistics (DSDP dsdp)
| Set default statistics.
int | DSDPSetDestroyRoutine (DSDP dsdp, int(*fd)(void *), void *ctx)
| Set a routine that will be called during DSDPDestroy().
int | DSDPTakeDown (DSDP dsdp)
| Destroy internal data structures.

## Detailed Description

Create DSDP solver and its data strucutures.

Definition in file dsdpsetup.c.

## Function Documentation

## DSDPCallMonitors()

int DSDPCallMonitors | ( | DSDP | dsdp,
|  | DMonitor | dmonitor[],
|  | int | ndmonitors
| ) |  |

Call the monitor routines.

Parameters

  dsdp | solver
  dmonitor | array of monitors
  ndmonitors | number of monitors.

Definition at line 367 of file dsdpsetup.c.

Referenced by DSDPCheckConvergence().

## DSDPCheckConvergence()

int DSDPCheckConvergence | ( | DSDP | dsdp,
|  | DSDPTerminationReason * | reason
| ) |  |

Check for convergence and monitor solution.

Parameters

  dsdp | solver
  reason | termination reason

Definition at line 384 of file dsdpsetup.c.

Referenced by DSDPSolveDynamicRho().

## DSDPComputeDataNorms()

int DSDPComputeDataNorms | ( | DSDP | dsdp | ) |

Compute norms of A,C, and b.

Parameters

  dsdp | the solver

Definition at line 283 of file dsdpsetup.c.

## DSDPScaleData()

int DSDPScaleData | ( | DSDP | dsdp | ) |

Scale the matrix C.

Parameters

  dsdp | the solver

Definition at line 311 of file dsdpsetup.c.

## DSDPSetDefaultMonitors()

int DSDPSetDefaultMonitors | ( | DSDP | dsdp | ) |

Set convergence monitor.

Parameters

  dsdp | the solver

Definition at line 165 of file dsdpsetup.c.

## DSDPSetDefaultParameters()

int DSDPSetDefaultParameters | ( | DSDP | dsdp | ) |

Set default parameters.

Parameters

  dsdp | the solver

Definition at line 122 of file dsdpsetup.c.

## DSDPSetDefaultStatistics()

int DSDPSetDefaultStatistics | ( | DSDP | dsdp | ) |

Set default statistics.

Parameters

  dsdp | the solver

Definition at line 84 of file dsdpsetup.c.

## DSDPSetDestroyRoutine()

int DSDPSetDestroyRoutine | ( | DSDP | dsdp,
|  | int(*)(void *) | fd,
|  | void * | ctx
| ) |  |

Set a routine that will be called during DSDPDestroy().

Parameters

  dsdp | the solver
  fd | function pointer
  ctx | pointer to structure.

See also
  DSDPDestroy()

Definition at line 469 of file dsdpsetup.c.

## DSDPTakeDown()

int DSDPTakeDown | ( | DSDP | dsdp | ) |

Destroy internal data structures.

Parameters

  dsdp | solver

Definition at line 428 of file dsdpsetup.c.